ogr2ogr dxf export does not work in Processing - Changing "AutoCAD DXF" to "DXF" might be a
solution

2014-05-16 07:14 AM - Havard Tveite

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18719
Description

In the Processing toolbox, under GDAL/OGR-> OGR Conversion-> Convert format,
it does not seem to be possible to export as DXF.

It is possible to choose "AutoCAD DXF", but when the function

is run, an error is returned:

ERROR]|Fri May 16 2014 15:33:26|Uncaught error while executing algorithm|Traceback (most recent call last):| Traceback (most recent
call last):| File "C:/Users/havatv/.qgis2/python/plugins\\processing\\core\\GeoAlgorithm.py", line 203, in execute|
self.processAlgorithm(progress)| File "C:/Users/havatv/.qgis2/python/plugins\\processing\\algs\\gdal\\ogr2ogr.py", line 147, in
processAlgorithm| poDstDS = driver.CreateDataSource(dst_ds, options=ogr_dsco)|AttributeError: 'NoneType' object has no attribute
'CreateDataSource'|

| had a look at the code, and it seems as if the format has to be
"DXF" and not "AutoCAD DXF". After | had changed the ogr2ogr.py

file as follows:

$ diff ogr2ogr.py.org ogr2ogr.py
62c62

'DXF,

no errors occured, and a file was created.

History

#1 - 2014-05-16 07:17 AM - Havard Tveite

Here is a readable version of the diff output

$ diff ogr2ogr.py.org ogr2ogr.py
62c62
< 'AutoCAD DXF',

> 'DXF,
#2 - 2014-05-18 03:57 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master
- OS version deleted (7)

- Operating System deleted (Windows)

will be fixed with

https://github.com/qgis/QGIS/pull/1365

#3 - 2014-05-18 07:35 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed

#4 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
